Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network200.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
200.0.0.0
Broadcast address
200.255.255.255
First usable
200.0.0.1
Last usable
200.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
C (default /24)
As numbers
Hex C8000000 · Integer 3355443200 to 3372220415
Reverse DNS zone
200.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001000..00000000.00000000.00000000200.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11001000..00000000.00000000.00000000200.0.0.0
Broadcast11001000..11111111.11111111.11111111200.255.255.255
Split into smaller subnets/17

200.0.0.0/8 makes 512 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1200.0.0.0/17200.0.0.1 to 200.0.127.254200.0.127.25532,766
2200.0.128.0/17200.0.128.1 to 200.0.255.254200.0.255.25532,766
3200.1.0.0/17200.1.0.1 to 200.1.127.254200.1.127.25532,766
4200.1.128.0/17200.1.128.1 to 200.1.255.254200.1.255.25532,766
5200.2.0.0/17200.2.0.1 to 200.2.127.254200.2.127.25532,766
6200.2.128.0/17200.2.128.1 to 200.2.255.254200.2.255.25532,766
7200.3.0.0/17200.3.0.1 to 200.3.127.254200.3.127.25532,766
8200.3.128.0/17200.3.128.1 to 200.3.255.254200.3.255.25532,766
9200.4.0.0/17200.4.0.1 to 200.4.127.254200.4.127.25532,766
10200.4.128.0/17200.4.128.1 to 200.4.255.254200.4.255.25532,766
11200.5.0.0/17200.5.0.1 to 200.5.127.254200.5.127.25532,766
12200.5.128.0/17200.5.128.1 to 200.5.255.254200.5.255.25532,766
13200.6.0.0/17200.6.0.1 to 200.6.127.254200.6.127.25532,766
14200.6.128.0/17200.6.128.1 to 200.6.255.254200.6.255.25532,766
15200.7.0.0/17200.7.0.1 to 200.7.127.254200.7.127.25532,766
16200.7.128.0/17200.7.128.1 to 200.7.255.254200.7.255.25532,766
17200.8.0.0/17200.8.0.1 to 200.8.127.254200.8.127.25532,766
18200.8.128.0/17200.8.128.1 to 200.8.255.254200.8.255.25532,766
19200.9.0.0/17200.9.0.1 to 200.9.127.254200.9.127.25532,766
20200.9.128.0/17200.9.128.1 to 200.9.255.254200.9.255.25532,766
21200.10.0.0/17200.10.0.1 to 200.10.127.254200.10.127.25532,766
22200.10.128.0/17200.10.128.1 to 200.10.255.254200.10.255.25532,766
23200.11.0.0/17200.11.0.1 to 200.11.127.254200.11.127.25532,766
24200.11.128.0/17200.11.128.1 to 200.11.255.254200.11.255.25532,766
25200.12.0.0/17200.12.0.1 to 200.12.127.254200.12.127.25532,766
26200.12.128.0/17200.12.128.1 to 200.12.255.254200.12.255.25532,766
27200.13.0.0/17200.13.0.1 to 200.13.127.254200.13.127.25532,766
28200.13.128.0/17200.13.128.1 to 200.13.255.254200.13.255.25532,766
29200.14.0.0/17200.14.0.1 to 200.14.127.254200.14.127.25532,766
30200.14.128.0/17200.14.128.1 to 200.14.255.254200.14.255.25532,766
31200.15.0.0/17200.15.0.1 to 200.15.127.254200.15.127.25532,766
32200.15.128.0/17200.15.128.1 to 200.15.255.254200.15.255.25532,766
33200.16.0.0/17200.16.0.1 to 200.16.127.254200.16.127.25532,766
34200.16.128.0/17200.16.128.1 to 200.16.255.254200.16.255.25532,766
35200.17.0.0/17200.17.0.1 to 200.17.127.254200.17.127.25532,766
36200.17.128.0/17200.17.128.1 to 200.17.255.254200.17.255.25532,766
37200.18.0.0/17200.18.0.1 to 200.18.127.254200.18.127.25532,766
38200.18.128.0/17200.18.128.1 to 200.18.255.254200.18.255.25532,766
39200.19.0.0/17200.19.0.1 to 200.19.127.254200.19.127.25532,766
40200.19.128.0/17200.19.128.1 to 200.19.255.254200.19.255.25532,766
41200.20.0.0/17200.20.0.1 to 200.20.127.254200.20.127.25532,766
42200.20.128.0/17200.20.128.1 to 200.20.255.254200.20.255.25532,766
43200.21.0.0/17200.21.0.1 to 200.21.127.254200.21.127.25532,766
44200.21.128.0/17200.21.128.1 to 200.21.255.254200.21.255.25532,766
45200.22.0.0/17200.22.0.1 to 200.22.127.254200.22.127.25532,766
46200.22.128.0/17200.22.128.1 to 200.22.255.254200.22.255.25532,766
47200.23.0.0/17200.23.0.1 to 200.23.127.254200.23.127.25532,766
48200.23.128.0/17200.23.128.1 to 200.23.255.254200.23.255.25532,766
49200.24.0.0/17200.24.0.1 to 200.24.127.254200.24.127.25532,766
50200.24.128.0/17200.24.128.1 to 200.24.255.254200.24.255.25532,766
51200.25.0.0/17200.25.0.1 to 200.25.127.254200.25.127.25532,766
52200.25.128.0/17200.25.128.1 to 200.25.255.254200.25.255.25532,766
53200.26.0.0/17200.26.0.1 to 200.26.127.254200.26.127.25532,766
54200.26.128.0/17200.26.128.1 to 200.26.255.254200.26.255.25532,766
55200.27.0.0/17200.27.0.1 to 200.27.127.254200.27.127.25532,766
56200.27.128.0/17200.27.128.1 to 200.27.255.254200.27.255.25532,766
57200.28.0.0/17200.28.0.1 to 200.28.127.254200.28.127.25532,766
58200.28.128.0/17200.28.128.1 to 200.28.255.254200.28.255.25532,766
59200.29.0.0/17200.29.0.1 to 200.29.127.254200.29.127.25532,766
60200.29.128.0/17200.29.128.1 to 200.29.255.254200.29.255.25532,766
61200.30.0.0/17200.30.0.1 to 200.30.127.254200.30.127.25532,766
62200.30.128.0/17200.30.128.1 to 200.30.255.254200.30.255.25532,766
63200.31.0.0/17200.31.0.1 to 200.31.127.254200.31.127.25532,766
64200.31.128.0/17200.31.128.1 to 200.31.255.254200.31.255.25532,766
65200.32.0.0/17200.32.0.1 to 200.32.127.254200.32.127.25532,766
66200.32.128.0/17200.32.128.1 to 200.32.255.254200.32.255.25532,766
67200.33.0.0/17200.33.0.1 to 200.33.127.254200.33.127.25532,766
68200.33.128.0/17200.33.128.1 to 200.33.255.254200.33.255.25532,766
69200.34.0.0/17200.34.0.1 to 200.34.127.254200.34.127.25532,766
70200.34.128.0/17200.34.128.1 to 200.34.255.254200.34.255.25532,766
71200.35.0.0/17200.35.0.1 to 200.35.127.254200.35.127.25532,766
72200.35.128.0/17200.35.128.1 to 200.35.255.254200.35.255.25532,766
73200.36.0.0/17200.36.0.1 to 200.36.127.254200.36.127.25532,766
74200.36.128.0/17200.36.128.1 to 200.36.255.254200.36.255.25532,766
75200.37.0.0/17200.37.0.1 to 200.37.127.254200.37.127.25532,766
76200.37.128.0/17200.37.128.1 to 200.37.255.254200.37.255.25532,766
77200.38.0.0/17200.38.0.1 to 200.38.127.254200.38.127.25532,766
78200.38.128.0/17200.38.128.1 to 200.38.255.254200.38.255.25532,766
79200.39.0.0/17200.39.0.1 to 200.39.127.254200.39.127.25532,766
80200.39.128.0/17200.39.128.1 to 200.39.255.254200.39.255.25532,766
81200.40.0.0/17200.40.0.1 to 200.40.127.254200.40.127.25532,766
82200.40.128.0/17200.40.128.1 to 200.40.255.254200.40.255.25532,766
83200.41.0.0/17200.41.0.1 to 200.41.127.254200.41.127.25532,766
84200.41.128.0/17200.41.128.1 to 200.41.255.254200.41.255.25532,766
85200.42.0.0/17200.42.0.1 to 200.42.127.254200.42.127.25532,766
86200.42.128.0/17200.42.128.1 to 200.42.255.254200.42.255.25532,766
87200.43.0.0/17200.43.0.1 to 200.43.127.254200.43.127.25532,766
88200.43.128.0/17200.43.128.1 to 200.43.255.254200.43.255.25532,766
89200.44.0.0/17200.44.0.1 to 200.44.127.254200.44.127.25532,766
90200.44.128.0/17200.44.128.1 to 200.44.255.254200.44.255.25532,766
91200.45.0.0/17200.45.0.1 to 200.45.127.254200.45.127.25532,766
92200.45.128.0/17200.45.128.1 to 200.45.255.254200.45.255.25532,766
93200.46.0.0/17200.46.0.1 to 200.46.127.254200.46.127.25532,766
94200.46.128.0/17200.46.128.1 to 200.46.255.254200.46.255.25532,766
95200.47.0.0/17200.47.0.1 to 200.47.127.254200.47.127.25532,766
96200.47.128.0/17200.47.128.1 to 200.47.255.254200.47.255.25532,766
97200.48.0.0/17200.48.0.1 to 200.48.127.254200.48.127.25532,766
98200.48.128.0/17200.48.128.1 to 200.48.255.254200.48.255.25532,766
99200.49.0.0/17200.49.0.1 to 200.49.127.254200.49.127.25532,766
100200.49.128.0/17200.49.128.1 to 200.49.255.254200.49.255.25532,766
101200.50.0.0/17200.50.0.1 to 200.50.127.254200.50.127.25532,766
102200.50.128.0/17200.50.128.1 to 200.50.255.254200.50.255.25532,766
103200.51.0.0/17200.51.0.1 to 200.51.127.254200.51.127.25532,766
104200.51.128.0/17200.51.128.1 to 200.51.255.254200.51.255.25532,766
105200.52.0.0/17200.52.0.1 to 200.52.127.254200.52.127.25532,766
106200.52.128.0/17200.52.128.1 to 200.52.255.254200.52.255.25532,766
107200.53.0.0/17200.53.0.1 to 200.53.127.254200.53.127.25532,766
108200.53.128.0/17200.53.128.1 to 200.53.255.254200.53.255.25532,766
109200.54.0.0/17200.54.0.1 to 200.54.127.254200.54.127.25532,766
110200.54.128.0/17200.54.128.1 to 200.54.255.254200.54.255.25532,766
111200.55.0.0/17200.55.0.1 to 200.55.127.254200.55.127.25532,766
112200.55.128.0/17200.55.128.1 to 200.55.255.254200.55.255.25532,766
113200.56.0.0/17200.56.0.1 to 200.56.127.254200.56.127.25532,766
114200.56.128.0/17200.56.128.1 to 200.56.255.254200.56.255.25532,766
115200.57.0.0/17200.57.0.1 to 200.57.127.254200.57.127.25532,766
116200.57.128.0/17200.57.128.1 to 200.57.255.254200.57.255.25532,766
117200.58.0.0/17200.58.0.1 to 200.58.127.254200.58.127.25532,766
118200.58.128.0/17200.58.128.1 to 200.58.255.254200.58.255.25532,766
119200.59.0.0/17200.59.0.1 to 200.59.127.254200.59.127.25532,766
120200.59.128.0/17200.59.128.1 to 200.59.255.254200.59.255.25532,766
121200.60.0.0/17200.60.0.1 to 200.60.127.254200.60.127.25532,766
122200.60.128.0/17200.60.128.1 to 200.60.255.254200.60.255.25532,766
123200.61.0.0/17200.61.0.1 to 200.61.127.254200.61.127.25532,766
124200.61.128.0/17200.61.128.1 to 200.61.255.254200.61.255.25532,766
125200.62.0.0/17200.62.0.1 to 200.62.127.254200.62.127.25532,766
126200.62.128.0/17200.62.128.1 to 200.62.255.254200.62.255.25532,766
127200.63.0.0/17200.63.0.1 to 200.63.127.254200.63.127.25532,766
128200.63.128.0/17200.63.128.1 to 200.63.255.254200.63.255.25532,766
129200.64.0.0/17200.64.0.1 to 200.64.127.254200.64.127.25532,766
130200.64.128.0/17200.64.128.1 to 200.64.255.254200.64.255.25532,766
131200.65.0.0/17200.65.0.1 to 200.65.127.254200.65.127.25532,766
132200.65.128.0/17200.65.128.1 to 200.65.255.254200.65.255.25532,766
133200.66.0.0/17200.66.0.1 to 200.66.127.254200.66.127.25532,766
134200.66.128.0/17200.66.128.1 to 200.66.255.254200.66.255.25532,766
135200.67.0.0/17200.67.0.1 to 200.67.127.254200.67.127.25532,766
136200.67.128.0/17200.67.128.1 to 200.67.255.254200.67.255.25532,766
137200.68.0.0/17200.68.0.1 to 200.68.127.254200.68.127.25532,766
138200.68.128.0/17200.68.128.1 to 200.68.255.254200.68.255.25532,766
139200.69.0.0/17200.69.0.1 to 200.69.127.254200.69.127.25532,766
140200.69.128.0/17200.69.128.1 to 200.69.255.254200.69.255.25532,766
141200.70.0.0/17200.70.0.1 to 200.70.127.254200.70.127.25532,766
142200.70.128.0/17200.70.128.1 to 200.70.255.254200.70.255.25532,766
143200.71.0.0/17200.71.0.1 to 200.71.127.254200.71.127.25532,766
144200.71.128.0/17200.71.128.1 to 200.71.255.254200.71.255.25532,766
145200.72.0.0/17200.72.0.1 to 200.72.127.254200.72.127.25532,766
146200.72.128.0/17200.72.128.1 to 200.72.255.254200.72.255.25532,766
147200.73.0.0/17200.73.0.1 to 200.73.127.254200.73.127.25532,766
148200.73.128.0/17200.73.128.1 to 200.73.255.254200.73.255.25532,766
149200.74.0.0/17200.74.0.1 to 200.74.127.254200.74.127.25532,766
150200.74.128.0/17200.74.128.1 to 200.74.255.254200.74.255.25532,766
151200.75.0.0/17200.75.0.1 to 200.75.127.254200.75.127.25532,766
152200.75.128.0/17200.75.128.1 to 200.75.255.254200.75.255.25532,766
153200.76.0.0/17200.76.0.1 to 200.76.127.254200.76.127.25532,766
154200.76.128.0/17200.76.128.1 to 200.76.255.254200.76.255.25532,766
155200.77.0.0/17200.77.0.1 to 200.77.127.254200.77.127.25532,766
156200.77.128.0/17200.77.128.1 to 200.77.255.254200.77.255.25532,766
157200.78.0.0/17200.78.0.1 to 200.78.127.254200.78.127.25532,766
158200.78.128.0/17200.78.128.1 to 200.78.255.254200.78.255.25532,766
159200.79.0.0/17200.79.0.1 to 200.79.127.254200.79.127.25532,766
160200.79.128.0/17200.79.128.1 to 200.79.255.254200.79.255.25532,766
161200.80.0.0/17200.80.0.1 to 200.80.127.254200.80.127.25532,766
162200.80.128.0/17200.80.128.1 to 200.80.255.254200.80.255.25532,766
163200.81.0.0/17200.81.0.1 to 200.81.127.254200.81.127.25532,766
164200.81.128.0/17200.81.128.1 to 200.81.255.254200.81.255.25532,766
165200.82.0.0/17200.82.0.1 to 200.82.127.254200.82.127.25532,766
166200.82.128.0/17200.82.128.1 to 200.82.255.254200.82.255.25532,766
167200.83.0.0/17200.83.0.1 to 200.83.127.254200.83.127.25532,766
168200.83.128.0/17200.83.128.1 to 200.83.255.254200.83.255.25532,766
169200.84.0.0/17200.84.0.1 to 200.84.127.254200.84.127.25532,766
170200.84.128.0/17200.84.128.1 to 200.84.255.254200.84.255.25532,766
171200.85.0.0/17200.85.0.1 to 200.85.127.254200.85.127.25532,766
172200.85.128.0/17200.85.128.1 to 200.85.255.254200.85.255.25532,766
173200.86.0.0/17200.86.0.1 to 200.86.127.254200.86.127.25532,766
174200.86.128.0/17200.86.128.1 to 200.86.255.254200.86.255.25532,766
175200.87.0.0/17200.87.0.1 to 200.87.127.254200.87.127.25532,766
176200.87.128.0/17200.87.128.1 to 200.87.255.254200.87.255.25532,766
177200.88.0.0/17200.88.0.1 to 200.88.127.254200.88.127.25532,766
178200.88.128.0/17200.88.128.1 to 200.88.255.254200.88.255.25532,766
179200.89.0.0/17200.89.0.1 to 200.89.127.254200.89.127.25532,766
180200.89.128.0/17200.89.128.1 to 200.89.255.254200.89.255.25532,766
181200.90.0.0/17200.90.0.1 to 200.90.127.254200.90.127.25532,766
182200.90.128.0/17200.90.128.1 to 200.90.255.254200.90.255.25532,766
183200.91.0.0/17200.91.0.1 to 200.91.127.254200.91.127.25532,766
184200.91.128.0/17200.91.128.1 to 200.91.255.254200.91.255.25532,766
185200.92.0.0/17200.92.0.1 to 200.92.127.254200.92.127.25532,766
186200.92.128.0/17200.92.128.1 to 200.92.255.254200.92.255.25532,766
187200.93.0.0/17200.93.0.1 to 200.93.127.254200.93.127.25532,766
188200.93.128.0/17200.93.128.1 to 200.93.255.254200.93.255.25532,766
189200.94.0.0/17200.94.0.1 to 200.94.127.254200.94.127.25532,766
190200.94.128.0/17200.94.128.1 to 200.94.255.254200.94.255.25532,766
191200.95.0.0/17200.95.0.1 to 200.95.127.254200.95.127.25532,766
192200.95.128.0/17200.95.128.1 to 200.95.255.254200.95.255.25532,766
193200.96.0.0/17200.96.0.1 to 200.96.127.254200.96.127.25532,766
194200.96.128.0/17200.96.128.1 to 200.96.255.254200.96.255.25532,766
195200.97.0.0/17200.97.0.1 to 200.97.127.254200.97.127.25532,766
196200.97.128.0/17200.97.128.1 to 200.97.255.254200.97.255.25532,766
197200.98.0.0/17200.98.0.1 to 200.98.127.254200.98.127.25532,766
198200.98.128.0/17200.98.128.1 to 200.98.255.254200.98.255.25532,766
199200.99.0.0/17200.99.0.1 to 200.99.127.254200.99.127.25532,766
200200.99.128.0/17200.99.128.1 to 200.99.255.254200.99.255.25532,766
201200.100.0.0/17200.100.0.1 to 200.100.127.254200.100.127.25532,766
202200.100.128.0/17200.100.128.1 to 200.100.255.254200.100.255.25532,766
203200.101.0.0/17200.101.0.1 to 200.101.127.254200.101.127.25532,766
204200.101.128.0/17200.101.128.1 to 200.101.255.254200.101.255.25532,766
205200.102.0.0/17200.102.0.1 to 200.102.127.254200.102.127.25532,766
206200.102.128.0/17200.102.128.1 to 200.102.255.254200.102.255.25532,766
207200.103.0.0/17200.103.0.1 to 200.103.127.254200.103.127.25532,766
208200.103.128.0/17200.103.128.1 to 200.103.255.254200.103.255.25532,766
209200.104.0.0/17200.104.0.1 to 200.104.127.254200.104.127.25532,766
210200.104.128.0/17200.104.128.1 to 200.104.255.254200.104.255.25532,766
211200.105.0.0/17200.105.0.1 to 200.105.127.254200.105.127.25532,766
212200.105.128.0/17200.105.128.1 to 200.105.255.254200.105.255.25532,766
213200.106.0.0/17200.106.0.1 to 200.106.127.254200.106.127.25532,766
214200.106.128.0/17200.106.128.1 to 200.106.255.254200.106.255.25532,766
215200.107.0.0/17200.107.0.1 to 200.107.127.254200.107.127.25532,766
216200.107.128.0/17200.107.128.1 to 200.107.255.254200.107.255.25532,766
217200.108.0.0/17200.108.0.1 to 200.108.127.254200.108.127.25532,766
218200.108.128.0/17200.108.128.1 to 200.108.255.254200.108.255.25532,766
219200.109.0.0/17200.109.0.1 to 200.109.127.254200.109.127.25532,766
220200.109.128.0/17200.109.128.1 to 200.109.255.254200.109.255.25532,766
221200.110.0.0/17200.110.0.1 to 200.110.127.254200.110.127.25532,766
222200.110.128.0/17200.110.128.1 to 200.110.255.254200.110.255.25532,766
223200.111.0.0/17200.111.0.1 to 200.111.127.254200.111.127.25532,766
224200.111.128.0/17200.111.128.1 to 200.111.255.254200.111.255.25532,766
225200.112.0.0/17200.112.0.1 to 200.112.127.254200.112.127.25532,766
226200.112.128.0/17200.112.128.1 to 200.112.255.254200.112.255.25532,766
227200.113.0.0/17200.113.0.1 to 200.113.127.254200.113.127.25532,766
228200.113.128.0/17200.113.128.1 to 200.113.255.254200.113.255.25532,766
229200.114.0.0/17200.114.0.1 to 200.114.127.254200.114.127.25532,766
230200.114.128.0/17200.114.128.1 to 200.114.255.254200.114.255.25532,766
231200.115.0.0/17200.115.0.1 to 200.115.127.254200.115.127.25532,766
232200.115.128.0/17200.115.128.1 to 200.115.255.254200.115.255.25532,766
233200.116.0.0/17200.116.0.1 to 200.116.127.254200.116.127.25532,766
234200.116.128.0/17200.116.128.1 to 200.116.255.254200.116.255.25532,766
235200.117.0.0/17200.117.0.1 to 200.117.127.254200.117.127.25532,766
236200.117.128.0/17200.117.128.1 to 200.117.255.254200.117.255.25532,766
237200.118.0.0/17200.118.0.1 to 200.118.127.254200.118.127.25532,766
238200.118.128.0/17200.118.128.1 to 200.118.255.254200.118.255.25532,766
239200.119.0.0/17200.119.0.1 to 200.119.127.254200.119.127.25532,766
240200.119.128.0/17200.119.128.1 to 200.119.255.254200.119.255.25532,766
241200.120.0.0/17200.120.0.1 to 200.120.127.254200.120.127.25532,766
242200.120.128.0/17200.120.128.1 to 200.120.255.254200.120.255.25532,766
243200.121.0.0/17200.121.0.1 to 200.121.127.254200.121.127.25532,766
244200.121.128.0/17200.121.128.1 to 200.121.255.254200.121.255.25532,766
245200.122.0.0/17200.122.0.1 to 200.122.127.254200.122.127.25532,766
246200.122.128.0/17200.122.128.1 to 200.122.255.254200.122.255.25532,766
247200.123.0.0/17200.123.0.1 to 200.123.127.254200.123.127.25532,766
248200.123.128.0/17200.123.128.1 to 200.123.255.254200.123.255.25532,766
249200.124.0.0/17200.124.0.1 to 200.124.127.254200.124.127.25532,766
250200.124.128.0/17200.124.128.1 to 200.124.255.254200.124.255.25532,766
251200.125.0.0/17200.125.0.1 to 200.125.127.254200.125.127.25532,766
252200.125.128.0/17200.125.128.1 to 200.125.255.254200.125.255.25532,766
253200.126.0.0/17200.126.0.1 to 200.126.127.254200.126.127.25532,766
254200.126.128.0/17200.126.128.1 to 200.126.255.254200.126.255.25532,766
255200.127.0.0/17200.127.0.1 to 200.127.127.254200.127.127.25532,766
256200.127.128.0/17200.127.128.1 to 200.127.255.254200.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses